Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
POSTBare Metal Management OperationsSince 3.1.1SynchronousAuth Required

BatchCreateBaremetalChassis

BatchCreateBaremetalChassis

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • baremetalChassisInfoStringRequired

      The Base64-encoded configuration file of bare metal chassis.

    • longJobNameString

      Optional. The name of the long job.

    • longJobDescriptionString

      Optional. The description of the long job.

    • resourceUuidString

      Optional. The UUID of the long job.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryLongJobInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the API request.

    • nameStringRequired

      The name of the API.

    • descriptionStringRequired

      The detailed description of the long job.

    • apiIdStringRequired

      The ID of the long job.

    • jobNameStringRequired

      The name of the long job.

    • jobDataStringRequired

      The data about the long job.

    • jobResultStringRequired

      The result of the long job.

    • targetResourceUuidStringRequired

      The UUID of the long job.

    • managementNodeUuidStringRequired

      The UUID of the management node.

    • createDateTimestampRequired

      The time when the long job was created.

    • lastOpDateTimestampRequired

      The time when the long job was last operated.

    • stateLongJobStateRequired

      See state

      • nameStringRequired

        The name of the long job.

      • ordinalintRequired

        No description provided.

Endpoint

POST/zstack/v1/baremetal/chassis/from-file

/zstack/v1/baremetal/chassis/from-file

Operation ID

BatchCreateBaremetalChassis

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/baremetal/chassis/from-file' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"baremetalChassisInfo":"<baremetalChassisInfo>","longJobName":"<longJobName>","longJobDescription":"<longJobDescription>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "cec9662c5cc534779833c89d8104aa7d", "name": "APIBatchCreateBaremetalChassisMsg", "apiId": "85ef8b327b0a3c71a53827b30892f327", "jobName": "APIBatchCreateBaremetalChassisMsg", "jobData": "{\"createMessages\":[]", "jobResult": "", "state": "Succeeded", "managementNodeUuid": "31c1228477b6310b9eb28a75e892b046" } }

Change History

This API has no change history records yet.

View all change history